Bug 490000 - puzzling phantom DVI1 monitor listed by xrandr and Display Preferences
puzzling phantom DVI1 monitor listed by xrandr and Display Preferences
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 16:10 EDT by Per Bothner
Modified: 2009-11-05 19:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 19:10:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 20619 None None None Never

  None (edit)
Description Per Bothner 2009-03-12 16:10:30 EDT
On a Lenovo T400 laptop with the GM45 Express Chipset, xrandr shows this puzzling non-existent "monitor":

DVI1 connected (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  

This is true regardless of whether or not an external monitor is connected.

Worse, if I open the "display preferences" this phantom monitor shows up as "Unknown".

I now know what to expect, but this is frankly confusing.
Comment 1 Adam Jackson 2009-03-13 15:50:24 EDT
That it exists at all is because there's an optional dock for that machine with a DVI connector.  That we think it's connected is, well, wrong.

What's the full xrandr output for this machine?
Comment 2 Per Bothner 2009-03-13 15:58:51 EDT
This is when an external monitor is connected and active:

Screen 0: minimum 320 x 200, current 1920 x 1200, maximum 8192 x 8192
VGA1 connected 1920x1200+0+0 (normal left inverted right x axis y axis) 550mm x 344mm
   1920x1200      60.0*+
   1280x1024      75.0  
   1152x864       75.0  
   1024x768       75.1     60.0  
   832x624        74.6  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1  
LVDS1 connected (normal left inverted right x axis y axis)
   1440x900       60.2 +   50.0  
DVI1 connected (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
DVI2 disconnected (normal left inverted right x axis y axis)
Comment 3 Tomasz Torcz 2009-03-24 12:21:17 EDT
Upstream: http://bugs.freedesktop.org/show_bug.cgi?id=20619
Comment 4 Eric Paris 2009-03-26 13:13:43 EDT
Lenovo x200:
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

I am NOT connected to a docking station and I do NOT have any external monitors attached.

[paris@dhcp231-142 ~]$ rpm -q xorg-x11-drv-intel
xorg-x11-drv-intel-2.6.99.902-1.fc11.x86_64

[paris@dhcp231-142 ~]$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1280x800       60.0*+   50.0  
DVI1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9  
DVI2 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9  

I also see lots of these in dmesg:
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-3: unable to read EDID block.
i915 0000:00:02.0: DVI-D-2: no EDID data


This is actually a bit problomatic as with the default setup all 3 of these windows overlap.  But when I choose to maximize a window it fills the 1024xsomething area and the window decorations/edges are corrupted.  Turning off the 2 fake DVI? appears to fix both of these problems.
Comment 5 Eric Paris 2009-03-27 10:06:57 EDT
I snapped my x200 into it's docking station but still have NO external monitor attached.  things look a little different.

Screen 0: minimum 320 x 200, current 1280 x 800, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1280x800       60.0*+   50.0  
DVI1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9  
DVI2 disconnected (normal left inverted right x axis y axis)


It looks like we are now seeing that DVI2 is disconnected.
Comment 6 Eric Paris 2009-03-27 14:23:26 EDT
booted with nomodeset

Screen 0: minimum 320 x 200, current 1280 x 800, maximum 1280 x 1280
VGA disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1280x800       60.0*+   50.0  
   1024x768       85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     59.9  
   720x400        85.0  
   640x400        85.1  
   640x350        85.1  
HDMI-1 disconnected (normal left inverted right x axis y axis)
HDMI-2 disconnected (normal left inverted right x axis y axis)



DVI became HDMI, but at least they are correctly marked as disconnected.
Comment 7 Adam Williamson 2009-04-16 19:16:29 EDT
Similar to https://bugzilla.redhat.com/show_bug.cgi?id=493038 and https://bugzilla.redhat.com/show_bug.cgi?id=495260 - we have several of these phantom output bugs.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2009-06-09 08:11:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Magnus Glantz 2009-07-09 15:45:40 EDT
Lenovo T400, FC11, all the latest updates applied.
No external screen connected, not docked.

2.6.29.5-191.fc11.i686.PAE

$ xrandr
Screen 0: minimum 320 x 200, current 1440 x 900, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1440x900+0+0 (normal left inverted right x axis y axis) 304mm x 190mm
   1440x900       60.2*+   50.0  
DVI1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9  
DVI2 disconnected (normal left inverted right x axis y axis)
Comment 11 Matěj Cepl 2009-11-05 13:23:10 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Per Bothner 2009-11-05 13:33:41 EST
Things seem to be working in in Rawhide.
As far as I'm concerned, the bug can be closed.

$ xrandr
Screen 0: minimum 320 x 200, current 1920 x 1200, maximum 8192 x 8192
LVDS1 connected (normal left inverted right x axis y axis)
   1440x900       60.2 +   50.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 connected 1920x1200+0+0 (normal left inverted right x axis y axis) 610mm x 350mm
   1920x1200      60.0*+
   1680x1050      60.0  
   1400x1050      60.0  
   1280x1024      75.0     60.0  
   1440x900       59.9  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
DVI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
DVI2 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
DP3 disconnected (normal left inverted right x axis y axis)

(With external monitor connected and enabled.)
Comment 13 Adam Williamson 2009-11-05 19:10:48 EST
Thanks, closing as WORKSFORME since it's not really fixed in 11 but you're happy with 12.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.